++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+	Board Support Package ReadMe for Connect Tech Nvidia Jetson TX1 Carriers
+	BSP Version:	V020	
+	Date:		2018-07-24	
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	

================================================================================
			Introduction
================================================================================

	This Board Support Package adds support for Connect Tech Jetson TX1
	carrier boards to Linux4Tegra. It includes any extra files required
	to use all the features of the carriers.

	Please check the "Product Specific Details" section for what features
	for your board is supported with this BSP release and the "Changes"
	section for the changes made between versions.
	You can check which version of the BSP you have installed by running:

		cat /etc/cti/CTI-L4T.version     

	Check for the Latest Version of the CTI-L4T BSP at:

    http://connecttech.com/resource-center/l4t-board-support-packages/ 
    
    Please check the requirements section for minimum requirements.

    Consult KDB344 for TX1 hardware compatiblity with your carrier.
    http://connecttech.com/resource-center-category/all-kdb-entries/

    More detailed Release Note can be found here:

    http://connecttech.com/resource-center/cti-l4t-nvidia-jetson-board-support-package-release-notes/

================================================================================
		    Requirements	
================================================================================

    -x86 based host machine running Ubutnu 14.04
    -Jetpack 3.1 installed (from Nvidia Embedded Download Center)
    -TX1 module
    -Connect Tech TX2/TX1 Carrier 
    -USB Cable for flashing 

    *L4T version can be found in /etc/nv_tegra_release and will look like this:
    # R28 (release), REVISION: 2.0

================================================================================
			Installation
================================================================================

	1. Before Installing the BSP you will need to install Jetpack 3.2 on the x86
       host system.  

	2. Copy the CTI-L4T-V###.tgz package into <install_dir>/64_TX1/Linux_for_Tegra/:

    3. Extract the BSP:

		tar -xzf CTI-L4T-V###.tgz

	  (replacing ### with your file name)

	3. Change into the CTI-L4T directory:
		
		cd ./CTI-L4T

	4. Run the install script (as root or sudo) to automatically install
	   the BSP files to the correct locations:

	    sudo ./install.sh
        cd ..

    5. The CTI-L4T BSP is now installed on the host system and it should now be
       able to flash the TX1.

    6. To flash on the TX1 use the following (do not add ".conf"):

        CTI Assisted Flashing:
        ./cti-flash.sh

        Manual Flash:
        ./flash.sh <boardname> mmcblk0p1
        
        Examples:
        ./flash.sh astro mmcblk0p1
        ./flash.sh elroy mmcblk0p1
        ./flash.sh orbitty mmcblk0p1

================================================================================
			Flashing TX1
================================================================================
   
    1. Connect the TX1 and Carrier (or Dev-Kit) to the computer via USB
       Following the instructions in the appropriate manual.
    2. Put the system to be flashed into recovery mode, following the 
       instructions in the appropriate manual
    4. Run ./flash.sh <board.conf> mmcblk0p1 from Linux_for_Tegra directory
    5. Once the flashing has completed, the TX1 will reboot 
    6. To switch between different boards, you will need ot repeat these steps
       There is currently no run time support for switching profiles on the TX1

    Consult KDB344 at for TX1 hardware compatiblity with your carrier.
    http://connecttech.com/resource-center-category/all-kdb-entries/

================================================================================
			Product Specific Details
================================================================================
--------------------------------------------------------------------------------
				ASG001 (Astro)
--------------------------------------------------------------------------------
	-PWM Fan Support
    -USB Support
    -mPCIe Support
    -CSI camera support	

--------------------------------------------------------------------------------
				ASG002 (Elroy)
--------------------------------------------------------------------------------
	-PWM Fan Support
    -USB Support
    -mPCIe Support
    -CSI camera support	

--------------------------------------------------------------------------------
				ASG003 (Orbitty)
--------------------------------------------------------------------------------
	-PWM Fan Support
    -USB Support

--------------------------------------------------------------------------------
				ESG501 (Rosie)
--------------------------------------------------------------------------------
    -mPCIe Support
    -USB Support

--------------------------------------------------------------------------------
				ESG503 (Rudi)
--------------------------------------------------------------------------------
	-USB Support
    -CAN Support
    -mPCIe Support
	-GPIO support

--------------------------------------------------------------------------------
				ASG008 (Sprocket)
--------------------------------------------------------------------------------
    -USB Support
    -CSI Camera Support (IMX274)
	-CSI Camera Support (IMX185)

--------------------------------------------------------------------------------
				ASG007 (Cogswell)
--------------------------------------------------------------------------------
    -USB Support
    -CAN Support
    -mPCIe Support 
    -GPIO Support

--------------------------------------------------------------------------------
				ASG006 (Spacely)
--------------------------------------------------------------------------------
    -IMX274 3 camera x4 CSI Support
    -IMX274 6 camera x2 CSI Support
    -IMX185 3 camera x4 CSI Support
    -IMX185 3 camera x2 CSI Support
    -USB Support
    -CAN Support
    -mPCIe Support 
    -GPIO Support
	
	
================================================================================
				Changes
================================================================================

	Version 001, June 14, 2016
		-Initial BSP release, only PWM Fan Support so far
	Version 002, June 20, 2016
		-Added a custom extlinux.conf
		-Transistioned to CTI DTB files
	Version 003, July 12, 2016
        -Added CSI camera support for ASG001 and ASG002
        -Added part number to CTI-L4T.version
        -Fixed Virtual Terminals
    Version 004, Sept 30, 2016
        -Added Support for USB Only mPCIe cards 
    Version 005,  Oct 6, 2016
        -Fixed an issue on ASG002 where both cameras would need to be installed 
         in order to use one camera in 24.1 
        -Moved to new naming scheme for Device Trees   
    Version 006, Oct 24, 2016
        -Moved to L4T 24.2
        -Changed e1000e to a loadable module and added igb drivers
        -Updated Camera Support for L4T 24.2
    Version 007, Nov 12, 2016
        -Engineering release only
    Version 008, March 14, 2017
        -Added Rudi 
        -L4T 24.2.0 release
        -New installer
        -cti-l4t-util included 
    Version 009, March 14, 2017
        -Added Rudi 
        -L4T 24.2.1 release
        -New installer 
        -cti-l4t-util included 
    Version 010, April 27, 2017
        -Added support for Sprocket (ASG008)
    Version 011, May 5, 2017
        - Fixed GPIO conflict on Board without CAN 
    Version 012, June 6, 2017
        - Added support for VPG003
        - CAN speed fix
    Version 013, Oct 3, 2017
        -Added spacely support
        -added IMX185 support for sprocket
    Version 014, Oct 11, 2017
        - L4T 28.1 release
    Version 015, Oct 19, 2017
        - Added Spacely support
    Version 016, Nov 08, 2017
        - Fixed issue where some Monitors would prevent the system from booting
    Version 017, Jan 04, 2018
        - Fixed flash.sh script that would cause issues with some device trees
          during flash
    Version 018, March 14, 2018
        - Fixed issue with Jetson Ethernet, added support for USB only based mPCIe cards
    Version 019, May 8,2018
        - L4T 28.2 release
        - Added CTI assisted flash
    Version 020, July 24, 2018
        -fixed suspend bug
		
        
================================================================================
			Contacting Connect Tech
================================================================================
 	If you have any problems, questions or suggestions regarding the
   	Board Support Package and hardware, please feel free to contact
	Connect Tech Inc.

   	Connect Tech can be reached in a variety of ways:

  		TEL:	1 519 836 1291 or 1-800-426-8979 in North America
   		FAX: 	1 519 836 4878
   		Email:
   			    Sales:      sales@connecttech.com

  			Tech Support:   support@connecttech.com

  		Web: 	http://www.connecttech.com

	Be sure to check the support section of our home page for answers to
   	technical questions at http://www.connecttech.com.
   	Also be sure to browse the knowledge data base.
	If you don't find what you are looking for, please contact the
	support department and let us know. We will be glad to help you.
================================================================================
       
		
        
================================================================================
			Contacting Connect Tech
================================================================================
 	If you have any problems, questions or suggestions regarding the
   	Board Support Package and hardware, please feel free to contact
	Connect Tech Inc.

   	Connect Tech can be reached in a variety of ways:

  		TEL:	1 519 836 1291 or 1-800-426-8979 in North America
   		FAX: 	1 519 836 4878
   		Email:
   			    Sales:      sales@connecttech.com

  			Tech Support:   support@connecttech.com

  		Web: 	http://www.connecttech.com

	Be sure to check the support section of our home page for answers to
   	technical questions at http://www.connecttech.com.
   	Also be sure to browse the knowledge data base.
	If you don't find what you are looking for, please contact the
	support department and let us know. We will be glad to help you.
================================================================================
